<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="
        http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans-4.2.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-4.2.xsd
     	http://www.springframework.org/schema/aop
     	http://www.springframework.org/schema/aop/spring-aop-4.2.xsd
		http://www.springframework.org/schema/mvc
     	http://www.springframework.org/schema/mvc/spring-mvc-4.2.xsd">

    <bean id="pinganPayProdProperties" class="com.kmall.common.utils.pingan.properties.PinganPayProdProperties">
        <property name="payOpenId" value="${pingan.prod.payOpenId}"/>
        <property name="payOpenKey" value="${pingan.prod.payOpenKey}"/>
        <property name="payPublicKey" value="${pingan.prod.payPublicKey}"/>
        <property name="payPrivateKey" value="${pingan.prod.payPrivateKey}"/>

        <property name="pluginOpenId" value="${pingan.prod.pluginOpenId}"/>
        <property name="pluginOpenKey" value="${pingan.prod.pluginOpenKey}"/>
        <property name="pluginPublicKey" value="${pingan.prod.pluginPublicKey}"/>
        <property name="pluginPrivateKey" value="${pingan.prod.pluginPrivateKey}"/>

        <property name="payUrl" value="${pingan.prod.payUrl}"/>
        <property name="pluginUrl" value="${pingan.prod.pluginUrl}"/>
        <property name="fileUrl" value="${pingan.prod.fileUrl}"/>

        <property name="notifyUrl" value="${pingan.prod.notifyUrl}"/>
        <property name="jumpUrl" value="${pingan.prod.jumpUrl}"/>
    </bean>

    <bean id="pinganPayDevProperties" class="com.kmall.common.utils.pingan.properties.PinganPayDevProperties">
        <property name="payOpenId" value="${pingan.dev.payOpenId}"/>
        <property name="payOpenKey" value="${pingan.dev.payOpenKey}"/>
        <property name="payPublicKey" value="${pingan.dev.payPublicKey}"/>
        <property name="payPrivateKey" value="${pingan.dev.payPrivateKey}"/>

        <property name="pluginOpenId" value="${pingan.dev.pluginOpenId}"/>
        <property name="pluginOpenKey" value="${pingan.dev.pluginOpenKey}"/>
        <property name="pluginPublicKey" value="${pingan.dev.pluginPublicKey}"/>
        <property name="pluginPrivateKey" value="${pingan.dev.pluginPrivateKey}"/>

        <property name="payUrl" value="${pingan.dev.payUrl}"/>
        <property name="pluginUrl" value="${pingan.dev.pluginUrl}"/>
        <property name="fileUrl" value="${pingan.dev.fileUrl}"/>

        <property name="notifyUrl" value="${pingan.dev.notifyUrl}"/>
        <property name="jumpUrl" value="${pingan.dev.jumpUrl}"/>
    </bean>
</beans>